// #name = Reticle Compass
// #version = 1.0
// #date = Sept 11, 2001
// #author = Paul Tousignant
// #warrior = UberGuy (FT)
// #email = uberguy@skyreach.cas.nwu.edu
// #web = http://scripts.tribalwar.com/uberguy
// #description = Creates a compass centered on your weapon reticle.
// #category = UberGuy's Scripts
// #status = release

package retCompassPkg {

	function LoadingGui::onWake(%this) {

		if (!isObject(retCompassHud)) {

			new GuiControl(retCompassHud) {
				profile = "GuiDefaultProfile";
				horizSizing = "left";
				vertSizing = "bottom";
				position = "87 90";
				extent = "81 77";
				minExtent = "8 8";
				visible = "1";
				hideCursor = "0";
				bypassHideCursor = "0";
				helpTag = "0";
					opacity = "1.0";

				new HudCompass(retCompass) {
					profile = "clockProfile";
					horizSizing = "left";
					vertSizing = "bottom";
					position = "0 0";
					extent = "81 77";
					minExtent = "8 8";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
					fillColor = "0.250000 0.250000 0.250000 0.250000";
					frameColor = "0.000000 1.000000 0.000000 1.000000";
					opacity = "1";
					textColor = "0 255 0 255";
				};
			};
			retCenterHud.add(retCompassHud);
		}
		parent::onWake(%this);
	}

	function ammoHud::setVisible(%this, %value) {

		parent::setVisible(%this, %value);
		retCompassHud.setVisible(%value);
	}

	function weaponsHud::setActiveWeapon(%this, %slot) {

		parent::setActiveWeapon(%this, %slot);
		retCompassHud.setVisible(%slot >= 0 && $FirstPerson);
	}
};
activatePackage(retCompassPkg);